local RCR = Raidificator

RCR.ZONES = {
	D = { -- Dungeons ----------------------------------------------------------
		--[[
		Format: [zoneId] = { condition, speedrun, release_year, trophy }
			 0 - timer starts upon initial engagement
			-1 - timer starts when group crosses undetectable threshold (as subsitute, treat as "mode 0")
			-2 - timer start requires special handling
			 N - timer starts when group enters subzone designated by N
		--]]
		[ 144] = {     0, 20, 2014,  1275 }, -- Spindleclutch I
		[ 936] = {     0, 20, 2014,  1273 }, -- Spindleclutch II
		[ 380] = {    -1, 20, 2014,  1267 }, -- The Banished Cells I
		[ 935] = {     0, 20, 2014,  1268 }, -- The Banished Cells II
		[ 283] = {    -1, 15, 2014,  1269 }, -- Fungal Grotto I
		[ 934] = {     0, 20, 2014,  1286 }, -- Fungal Grotto II
		[ 146] = {    -1, 15, 2014,  1274 }, -- Wayrest Sewers I
		[ 933] = {     0, 20, 2014,  1278 }, -- Wayrest Sewers II
		[ 126] = {     0, 20, 2014,  1288 }, -- Elden Hollow I
		[ 931] = {     0, 20, 2014,  1289 }, -- Elden Hollow II
		[  63] = {    -1, 20, 2014,  1271 }, -- Darkshade Caverns I
		[ 930] = {     0, 20, 2014,  1272 }, -- Darkshade Caverns II
		[ 130] = {     0, 20, 2014,  1296 }, -- Crypt of Hearts I
		[ 932] = {    -1, 30, 2014,  1285 }, -- Crypt of Hearts II
		[ 176] = {     0, 20, 2014,  1283 }, -- City of Ash I
		[ 681] = {  8388, 30, 2014,  1291 }, -- City of Ash II (Inner Grove)
		[ 148] = {     0, 20, 2014,  1282 }, -- Arx Corinium
		[  22] = {     0, 20, 2014,  1270 }, -- Volenfell
		[ 131] = {     0, 20, 2014,  1287 }, -- Tempest Island
		[ 449] = {    -1, 20, 2014,  1281 }, -- Direfrost Keep
		[  38] = {    -1, 20, 2014,  1266 }, -- Blackheart Haven
		[  31] = {     0, 20, 2014,  1298 }, -- Selene's Web
		[  64] = {    -1, 20, 2014,  1290 }, -- Blessed Crucible
		[  11] = {     0, 20, 2014,  1297 }, -- Vaults of Madness
		[ 678] = {  8748, 45, 2015,  1276 }, -- Imperial City Prison (Bastion)
		[ 688] = {  8982, 30, 2015,  1284 }, -- White-Gold Tower (Green Emperor Way)
		[ 843] = {    -1, 30, 2016,  1277 }, -- Ruins of Mazzatun
		[ 848] = {    -1, 30, 2016,  1280 }, -- Cradle of Shadows
		[ 973] = {    -1, 20, 2017,  1301 }, -- Bloodroot Forge
		[ 974] = {     0, 20, 2017,  1300 }, -- Falkreath Hold
		[1009] = {     0, 30, 2018,  4752 }, -- Fang Lair
		[1010] = {     0, 30, 2018,  4751 }, -- Scalecaller Peak
		[1052] = {     0, 30, 2018,  5602 }, -- Moon Hunter Keep
		[1055] = { 13161, 30, 2018,  5603 }, -- March of Sacrifices (Bloodscent Pass)
		[1080] = {     0, 30, 2019,  6062 }, -- Frostvault
		[1081] = {     0, 30, 2019,  6060 }, -- Depths of Malatar
		[1122] = {     0, 30, 2019,  6914 }, -- Moongrave Fane
		[1123] = {     0, 35, 2019,  6916 }, -- Lair of Maarselok
		[1152] = {     0, 30, 2020,  7634 }, -- Icereach
		[1153] = {    -2, 30, 2020,  7636 }, -- Unhallowed Grave
		[1197] = {     0, 25, 2020,  8461 }, -- Stone Garden
		[1201] = {     0, 30, 2020,  8463 }, -- Castle Thorn
		[1228] = {     0, 25, 2021,  9057 }, -- Black Drake Villa
		[1229] = {     0, 35, 2021,  9059 }, -- The Cauldron
		[1267] = {     0, 25, 2021,  9631 }, -- Red Petal Bastion
		[1268] = {     0, 25, 2021,  9632 }, -- The Dread Cellar
		[1301] = {     0, 25, 2022, 10300 }, -- Coral Aerie
		[1302] = {     0, 25, 2022, 10301 }, -- Shipwright's Regret
		[1360] = {     0, 25, 2022, 10854 }, -- Earthen Root Enclave
		[1361] = {     0, 25, 2022, 10855 }, -- Graven Deep
		[1389] = {     0, 25, 2023, 11182 }, -- Bal Sunnar
		[1390] = {     0, 25, 2023, 11181 }, -- Scrivener's Hall
		[1470] = {     0, 25, 2024, 12055 }, -- Oathsworn Pit
		[1471] = {     0, 25, 2024, 12057 }, -- Bedlam Veil
	},

	T = { -- Trials ------------------------------------------------------------
		[ 636] = { 2014,  1292 }, -- Hel Ra Citadel
		[ 638] = { 2014,  1295 }, -- Aetherian Archive
		[ 639] = { 2014,  1294 }, -- Sanctum Ophidia
		[ 725] = { 2016,  1293 }, -- Maw of Lorkhaj
		[ 975] = { 2017,  1299 }, -- Halls of Fabrication
		[1000] = { 2017,  4665 }, -- Asylum Sanctorium
		[1051] = { 2018,  5458 }, -- Cloudrest
		[1121] = { 2019,  6610 }, -- Sunspire
		[1196] = { 2020,  8151 }, -- Kyne's Aegis
		[1263] = { 2021,  9465 }, -- Rockgrove
		[1344] = { 2022, 10577 }, -- Dreadsail Reef
		[1427] = { 2023, 11519 }, -- Sanity's Edge
		[1478] = { 2024, 12421 }, -- Lucent Citadel
	},

	A = { -- Arenas ------------------------------------------------------------
		[ 635] = { 2014,  1279 }, -- Dragonstar Arena
		[ 677] = { 2015,  1265 }, -- Maelstrom Arena
		[1082] = { 2018,  6014 }, -- Blackrose Prison
		[1227] = { 2020,  8873 }, -- Vateshran Hollows
		[1436] = { 2023, 11864 }, -- Infinite Archive
	},
}

RCR.SCORED_CONTENT = {
	{  "1R",  636 }, -- Hel Ra Citadel
	{  "2R",  638 }, -- Aetherian Archive
	{  "3R",  639 }, -- Sanctum Ophidia
	{  "4R",  635 }, -- Dragonstar Arena
	{  "6R",  677 }, -- Maelstrom Arena
	{  "5R",  725 }, -- Maw of Lorkhaj
	{  "7R",  975 }, -- Halls of Fabrication
	{  "8R", 1000 }, -- Asylum Sanctorium
	{  "9R", 1051 }, -- Cloudrest
	{ "11R", 1082 }, -- Blackrose Prison
	{ "12R", 1121 }, -- Sunspire
	{ "13R", 1196 }, -- Kyne's Aegis
	{ "14R", 1227 }, -- Vateshran Hollows
	{ "15R", 1263 }, -- Rockgrove
	{ "16R", 1344 }, -- Dreadsail Reef
	{ "17R", 1427 }, -- Sanity's Edge
	{  "1E", 1436 }, -- Infinite Archive
	{ "18R", 1478 }, -- Lucent Citadel
}

RCR.ACHIEVEMENT_DATA = {
	-- Generated by RCR_AchievementClassifier on 2024/08/13 04:16:38 (101043: eso.rc.10.1.4.2924451)
	"02G04j20OT30OU10OV10OW90OXH0OY5,0Ee06b306#907050DM10DN10OZ20OaH,05y05520OD30OE10OF10OG90OHH0OI5,0Ed0719073508X30DK10DL10OJ20OSH,04R04c20OK30OL10OM10ON90OOH0OP5,0Ec05K905M505N30DI10DJ10OQ20ORH,02I01F20Or30Os10Ot10Ou90OvH0Ow5,0Eb0Ac30Ad90Af50DS10DT10Ox20OyH,01#00B20Ob30Oc10Od10Oe90OfH0Og5,0EZ07B307D907F50DQ10DR10Oh20OiH,00%01E20Oj30Ok10Ol10Om90OnH0Oo5,0EY07G307H907J50DO10DP10Op20OqH,02201G20PA30PB10PC10PD90PEH0PF5,0Ea0Di30Eh10Ei10Ej90EkH0Gy50PG2,02m08d20Oz30O#10O%10P090P1H0P25,0Af0Dk30Gw00HH10HI10HJH0HK90HN00HQ50I710P32,02K04G20P430P510P610P790P8H0P95,00M06720PT30PU10PV10PW90PXH0PY5,02301H20PH30PI10PJ10PK90PLH0PM5,07105b20PN30PO10PP10PQ90PRH0PS5,00c06Q20Pl30Pm10Pn10Po90PpH0Pq5,00V06X20PZ30Pa10Pb10Pc90PdH0Pe5,01006920Pf30Pg10Ph10Pi90PjH0Pk5,00B08w20Pr30Ps10Pt10Pu90PvH0Pw5,0Ac0Dm30HY00He90HfH0Hg10Hh10Hi10Hj00Hs00KN50L12,0Am0HW30Hi10Jx90JyH0Jz10J#10J%50K010K100KQ10L22,0DB0NW20NX30NY50NZ90NaH0Nb10Nc10Nd10Ne00Nf10Ng00Nh10Ni10Nj10Nk10Nl10Nm00O210S30,0DG0Nm00No20Np30Nq50Nr90NsH0Nt10Nu10Nv10Nw10Nx10Ny10Nz10N#10N%10O000O210S40,0FD0QQ20QR30QS10QT10QU90QVH0QW50QX00SO10SP10SQ10SR10SS10ST10SU10SV10UH10UK00UL10Wo0,0FE0QY20QZ30Qa10Qb10Qc90QdH0Qe50Qf00UH10UK00UM10UP00UQ10UR10US10UT00UU10UV10Wn0,0Fn0Ud20Ue30Uf10Ug10Uh90UiH0Uj50Uk10Ul10Um10Un10Uo10Up10Uq10Ur10Us00WsX0Wt10Wu00YE0,0Fo0Ut20Uu30Uv10Uw10Ux90UyH0Uz50U#10U%X0V010V100V210V310V410V510V600V710Wt10Wu00YD0,0GS0Xc10Xd10Xe20Xf30Xg50Xh90XiH0Xj00Xk10XlX0Xw10Zv10Zw00Zx00Zy10Zz10a300a410a510aE0,0GV0Xj00Xm10Xn10Xo20Xp30Xq50Xr90XsH0Xt10XuX0Xw10Z#00Z%10a010a110a200a610a710a810aD0,0Gu0",
	"ZI10ZJ10ZK20ZL30ZM50ZN90ZOH0ZP00ZQ10ZRX0Zb10bC00bD00bE00bF00bG10bH00bI10bJ00cd00d70,0Gv0ZP00ZS10ZT10ZU20ZV30ZW50ZX90ZYH0ZZ10ZaX0Zb10bK10bL10bM10bN00bO00bP10bQ10bR10cd00d80,0HY0bj10bk10bl20bm30bn50bo90bpH0bq00br10bsX0c010e910eA00eB10eC10eD10eE10eF10eH00eU00f40,0HZ0bq00bt10bu10bv20bw30bx50by90bzH0b#10b%X0c010eG00eI00eJ10eK00eL10eM10eN10eO10eU00f50,0I00df10dg10dh20di30dj50dk90dlH0dm00dn10doX0dy10fa00fk10fl00fm10fn10fo10fp10fq00fr10gx0,0I10dm00dp10dq10dr20ds30dt50du90dvH0dw10dxX0dy10fa00fs00ft10fu00fv00fw00fx10fy10fz00gz0,0Ij0g410g510g620g730g990gAH0gB00gC10gDX0gN10h150h250h350hu10hv10hw00i710i810i900iA00iY00ik0,0In0gB00gE10gF10gG20gH30gI50gJ90gKH0gL10gMX0gN10hx10hz10h#00h%10iB10iC10iX00ik0,0JC0iD10iE10iF20iG30iH50iI90iJH0iK00iL10iMX0iW10im00i%50j050j110j210j310j400ke0,0JD0iK00iN10iO10iP20iQ30iR50iS90iTH0iU10iVX0iW10im00j510j610j710j810j900jA10kl0,0Jp0l610l710l820l930lA50lB90lCH0lD00lE10lFX0lP10lQ00lR10lS10lT10lU00lV00lW00mE50mF50mL00mP0,0Jq0lD00lG10lH10lI20lJ30lK50lL90lMH0lN10lOX0lP10lQ00lX10lY10lZ10la00lb10lc10mG50mH50mI00mJ00mK00mL00mM0,0KL0mU10mV10mW20mX30mY50mZ90maH0mb00mc10mdX0mn10mo00mp10mq00mr10ms10mt10mu10nH50oM00oP50oQ10oT00oU00oV1,0KM0mb00me10mf10mg20mh30mi50mj90mkH0ml10mmX0mn10mo00mv10mw10mx10my10m#00nI50oM00oN50oO10oS0,0LG0qj10qk10ql20qm30qn50qo90qpH0qq10qrX0qs10qt10qu10qv00qw10qy50qz50q#00q%10rJ00rK10rL00rM00rU00t51,0LH0r010r110r220r330r450r590r6H0r710r8X0r910rB00rC10rD10rE00rF50rG50rH00rI10rJ00rK10rL00rM00rV00rX10t61,0Lj0sA10sB10sC20sD30sE50sF90sGH0sH10sIX0sJ10sK10sL10sM10sN00sO00sP50sQ50sR00sS10sU10",
	"sV00sW00tR00uX10uZ0,0Lk0sU10sV00sW00t710t810t920tA30tB50tC90tDH0tE10tFX0tG10tH10tI10tJ10tK10tL10tM50tN50tO00tP10tQ00uY10vE00vG0,0M#0xW10xX10xY20xZ30xa50xb90xcH0xd10xeX0xf10xg10xh10xi00xj10xk10xl50xm50xn00xo10xq10xr00zH00#f10#z0,0M%0xq10xr00y910yA10yB20yC30yD50yE90yFH0yG10yHX0yI10yJ10yK00yL00yM10yN10yO50yP50yQ00yR10zI00#g10#h00#z0,09y0Dc10FV20Gu90Hm50N23,09#0FU20Gv90Hn50NV3,09%0HP00HZ20Ha90Ho50Ms3,0BL0K%20L050LN90LO30LP10Lf00Lg00Li10Lj10Lk10Ll10LmH,0FF0SG20SH90SI30SJH0Sb50Sc10Sd10Se10Sf10Sg10Sh00Si10Sj00SkX0Sl10Sm10Sn00Ve0,0Fe0WR10WS20WT30WU00WV50WWH0WX90WY10WZ10Wa10Wb50Wc50WdX,0GR0XJ20XK00XL30XM50XN50XO50XP90XQH0XRX0XS10Yt10Yu10Yv10Yw10Yx00Yy00Yz00Y#00aF0,0HX0c120c290c330c4H0c500c600cY50cZX0ca10cb50cc50d300d400d510dB0,0Ii0gi20gj90gk30glH0gm50gn50gp50gqX0gr10gs10gt10gu10gv10gw10hA00i010i110i21,0Jl0kf20kg90kh30kiH0kj10kk10kw00kxX0ky10kz50k#50k%50l000l100l210l310l41,0L00og20oh90oi30ojH0ok10ol10omX0on10oo50op50oq50or00os10ot10ou10ov0,0MJ0tc20td90te30tfH0tg10th10tiX0tj10tk50tl50tm50tn00to10tp10tq00tr10vM0,0N60#j20#k90#l30#mH0#n10#o10#pX0#q10#r50#s50#t50#u10#v00#w00#x00#y10%T10%l010t1,09x0FW20Hq3,0Ab0KO20KP30KoH,0Gw0at00aw20ax30ay50azH0a#90a%10b0X0b110b210b310b410b510b600b700b80,0JB0jR20jS30jTH0jU90jV50jWX0jX10jY10jZ10ja10jb10jc10jd10je10jf00jg00jh00ji00jj00kG0,0MS0wd00we00wf00wg00wh00wk00wl00wo00wp00wq00wt00wu00wy00w%00x200x500x600x700x800x900xA00xB00xD00xE00xF00xG00xH00xI00xJ00xK00xL00xM00xP00xS00xV00y800zM00zN00zO00zP00zR00zT00zW00zY00#a00#b00#e00%U00%V010u010v010w010x010y011d0",
}
